--- Gemfile	2022-05-23 17:49:53
+++ Gemfile	2024-02-27 22:00:20
@@ -1,12 +1,3 @@
 source 'https://rubygems.org/'
 
-if !RbConfig::CONFIG['arch'].include?('openbsd')
-  # update version in ext/mkrf_conf_xapian.rb as well.
-  if /^2\.0\./ =~ RUBY_VERSION
-    gem 'xapian-ruby', ['~> 1.2', '< 1.3.6']
-  else
-    gem 'xapian-ruby', '~> 1.2'
-  end
-end
-
 gemspec

--- ext/mkrf_conf_xapian.rb	2022-05-23 17:49:53
+++ ext/mkrf_conf_xapian.rb	2024-02-27 22:00:02
@@ -14,32 +14,8 @@
 inst = Gem::DependencyInstaller.new(:install_dir => destination)
 begin
 
-  if !RbConfig::CONFIG['arch'].include?('openbsd')
-    # update version in Gemfile as well
-    name    = "xapian-ruby"
-    version =
-      if /^2\.0\./ =~ RUBY_VERSION
-        ["~> 1.2", "< 1.3.6"]
-      else
-        "~> 1.2"
-      end
+STDERR.puts "xapian: you have to install xapian-core and xapian-bindings manually, have a look at: https://github.com/sup-heliotrope/sup/wiki/Installation%3A-OpenBSD"
 
-    begin
-      # try to load gem
-
-      gem name, version
-      STDERR.puts "xapian: already installed."
-
-    rescue Gem::LoadError
-
-      STDERR.puts "xapian: installing xapian-ruby.."
-      inst.install name, version
-
-    end
-  else
-    STDERR.puts "xapian: openbsd: you have to install xapian-core and xapian-bindings manually, have a look at: https://github.com/sup-heliotrope/sup/wiki/Installation%3A-OpenBSD"
-  end
-
 rescue StandardError => e
   STDERR.puts "Unable to install #{name} gem: #{e.inspect}"
   exit(1)
@@ -50,4 +26,3 @@
 f = File.open(File.join(File.dirname(__FILE__), "Rakefile"), "w")
 f.write("task :default\n")
 f.close
-
